# Information Schema REFERENTIAL\_CONSTRAINTS Table

The [Information Schema](/docs/server/reference/system-tables/information-schema.md) `REFERENTIAL_CONSTRAINTS` table contains information about [foreign keys](/docs/server/ha-and-performance/optimization-and-tuning/optimization-and-indexes/foreign-keys.md). The single columns are listed in the [KEY\_COLUMN\_USAGE](/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-key_column_usage-table.md) table.

It has the following columns:

| Column                      | Description                                                                                                                     |
| --------------------------- | ------------------------------------------------------------------------------------------------------------------------------- |
| CONSTRAINT\_CATALOG         | Always def.                                                                                                                     |
| CONSTRAINT\_SCHEMA          | Database name, together with CONSTRAINT\_NAME identifies the foreign key.                                                       |
| CONSTRAINT\_NAME            | Foreign key name, together with CONSTRAINT\_SCHEMA identifies the foreign key.                                                  |
| UNIQUE\_CONSTRAINT\_CATALOG | Always def.                                                                                                                     |
| UNIQUE\_CONSTRAINT\_SCHEMA  | Database name, together with UNIQUE\_CONSTRAINT\_NAME and REFERENCED\_TABLE\_NAME identifies the referenced key.                |
| UNIQUE\_CONSTRAINT\_NAME    | Referenced key name, together with UNIQUE\_CONSTRAINT\_SCHEMA and REFERENCED\_TABLE\_NAME identifies the referenced key.        |
| MATCH\_OPTION               | Always NONE.                                                                                                                    |
| UPDATE\_RULE                | The Update Rule; one of CASCADE, SET NULL, SET DEFAULT, RESTRICT, NO ACTION.                                                    |
| DELETE\_RULE                | The Delete Rule; one of CASCADE, SET NULL, SET DEFAULT, RESTRICT, NO ACTION.                                                    |
| TABLE\_NAME                 | Table name from the TABLE\_CONSTRAINTS table.                                                                                   |
| REFERENCED\_TABLE\_NAME     | Referenced key table name, together with UNIQUE\_CONSTRAINT\_SCHEMA and UNIQUE\_CONSTRAINT\_NAME identifies the referenced key. |

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-referential_constraints-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
